package com.cultural.heritage.model.dto.coupon;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "可用优惠券请求体", requiredProperties =
        {"standardAmount", "isAvailable"})
public class UsableCouponQueryRequest implements Serializable {


    /**
     * 订单金额
     */
    @Schema(description = "订单金额", example = "50")
    private BigDecimal currentAmount;


    /**
     * 是否可用
     */
    @Schema(description = "是否可用", example = "false")
    private Boolean isAvailable;



    @Serial
    private static final long serialVersionUID = 1L;
}
