package com.cultural.heritage.model.dto.refund;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "退款记录添加请求体", requiredProperties = {"outTradeNo", "outRefundNo", "refundAmount"})
public class RefundRecordAddRequest implements Serializable {


    /**
     * 商户单号
     */
    @Schema(description = "商户单号", example = "20250206220922442039734342343")
    private String outTradeNo;


    /**
     * 退款单号
     */
    @Schema(description = "退款单号", example = "202502062209224420397")
    private String outRefundNo;


    /**
     * 退款金额
     */
    @Schema(description = "退款金额", example = "100.00")
    private BigDecimal refundAmount;



    @Serial
    private static final long serialVersionUID = 1L;
}
