package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 服装租赁产品
 * @TableName clothes
 */
@Data
@TableName("clothes")
public class Clothes implements Serializable {

    /**
     * 编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 服装名称
     */
    private String name;

    /**
     * 类别id
     */
    private Long categoryId;

    /**
     * 价格/天
     */
    private BigDecimal price;

    /**
     * 最大租赁天数
     */
    private Integer period;

    /**
     * 服装图片
     */
    private String image;

    /**
     * 富文本
     */
    private String richText;

    /**
     * 是否上架
     */
    private Integer isShelves;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @Serial
    private static final long serialVersionUID = 1L;
}
