package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 公众号文章
 * @TableName  official_account_article
 */
@Data
@TableName(value = "official_account_article")
public class OfficialAccountArticle implements Serializable {

    /**
     * 文章id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 文章标题
     */
    private String title;


    /**
     * 文章图片
     */
    private String image;


    /**
     * 发布时间
     */
    private String publishTime;


    /**
     * 文章链接
     */
    private String url;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * 是否删除
     */
    private Integer isDelete;



    @Serial
    private static final long serialVersionUID = 1L;
}
