package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 待处理服务类商品表
 * @TableName   pending_service_good
 */
@Data
@TableName(value = "pending_service_good")
public class PendingServiceGood implements Serializable {

    /**
     * 服务类商品待处理id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 商品id
     */
    private Long goodId;


    /**
     * 商品图片
     */
    private String goodImg;


    /**
     * 商品价格
     */
    private BigDecimal price;


    /**
     * 预约日期id
     */
    private Long appointmentDateId;


    /**
     * 预约时间段id
     */
    private Long timePeriodId;


    /**
     * 预约日期
     */
    private String reservationDate;



    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 最小预约人数
     */
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
